<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>
<% if @instructions.available? %>
<div id="repository--checkout-instructions"
     class="op-toast -info persistent-toggle--toaster"
     hidden>
  <a title="{{ ::I18n.t('js.close_popup_title') }}"
     class="op-toast--close icon-context icon-close">
  </a>
  <div class="op-toast--content">
    <p>
    <%= simple_format instructions.instructions %>
    <% if instructions.manages_permissions? %>
      <br/>
      <span><%= t('repositories.checkout.access_permission') %>:</span>
      <strong><%= t("repositories.checkout.access.#{instructions.permission}") %></strong>
    <% end %>
    </p>
  </div>
</div>
<% elsif @instructions.supported_but_not_enabled? %>
<div class="op-toast -warning">
  <a title="{{ ::I18n.t('js.close_popup_title') }}"
     class="op-toast--close icon-context icon-close">
  </a>
  <div class="op-toast--content">
    <p><%= t('repositories.checkout.not_available') %></p>
  </div>
</div>
<% end %>
